<!DOCTYPE html>
<html>
    <head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-166753203-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-166753203-1');
        </script>
        <meta charset="utf-8"></meta>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"></meta>
        <title>VoxPeople : <udho:text value="label" /></title>
        <script type="application/ld+json">{
            "@context": "http://schema.org",
            "@type": "Map",
            "name": '<udho:text value="name" />',
            "description": '<udho:text value="label" />',
            "author": {
                "@type": "Person",
                "name": "Sunanda Bose"
            },
            "url": "https://voxpeople.org"
        }</script>
        <meta name="description"        udho:target:content="label"/>
        <meta property="og:type"        content="website"/>
        <meta property="og:title"       udho:target:content="label"/>
        <meta property="og:description" udho:target:content="label"/>
        <meta property="og:url"         content="https://voxpeople.org"/>
        <style>
            html, body{
                position: relative;
                height: 100%;
            }
            body .main{
                height: 100%;
            }
            [v-cloak] * { display:none }
            [v-cloak]::before { content: "loading…" }
        </style>
        <style type="text/css">
            #nprogress .bar {
                background: #f6e05e !important;
            }
 
            #nprogress .peg {
                box-shadow: 0 0 10px #f6e05e, 0 0 5px #f6e05e !important;
            }
 
            #nprogress .spinner-icon {
                border-top-color: #f6e05e !important;
                border-left-color: #f6e05e !important;
            }
        </style> 
    </head>
    <script type="text/javascript">
        var synopsis = <udho:text value="synopsis" />
    </script>
    <body class="bg-gray-300">
        <div class="main flex flex-col" id="main">
            <div class="relative" v-cloak="true">
                <wee-nav>
                    <wee-nav-item href="/projects">Projects</wee-nav-item>
                    <wee-nav-item href="/chat">Chat</wee-nav-item>
                    <template slot="actions">
                        <wee-nav-item udho:if="loggedin"><a udho:target:href="/user/profile/`uid`"><udho:text value="uname" /></a></wee-nav-item>
                        <wee-nav-item udho:if="not(loggedin)" href="/user/login" action="true">Login</wee-nav-item>
                        <wee-nav-item udho:if="loggedin" href="/user/logout" action="true">Logout</wee-nav-item>
                    </template>
                </wee-nav>
            </div>
            <div v-if="!notice" class="relative w-full justify-left text-sm py-2 items-center px-2 flex flex-row" :class="[palette().lighter.bg, palette().darkest.text]" v-cloak="true">
                <h1 class="flex-grow cursor-pointer" v-on:click="showNotice()"><udho:text value="label" /></h1>
            </div>
            <div v-if="notice" class="flex-grow relative container max-w-full justify-center bg-white" v-cloak="true">
                <button class="absolute right-0 top-0 mt-4 mr-4 font-bold text-sm inline-flex" v-on:click="closeNotice()">
                    <img svg-inline="true" class="fill-current inline-block w-6 h-6 m-auto" :class="[palette().dark.text, palette().darker.hover]" src="/components/pix/zond/close-solid.svg" />
                </button>
                <div class="flex flex-row w-full h-full">
                    <div class="description w-full h-full overflow-y-auto flex-grow" :class="[palette().darkest.text]">
                        <udho:html value="description" />
                    </div>
                    <div class="volunteers h-full overflow-y-auto flex flex-col w-full lg:w-1/3 border-l">
                        <h2 class="title mb-1 text-lg ml-4 mt-4 font-bold">The Team</h2>
                        <div class="h-full overflow-y-auto">
                            <udho:for in="volunteers" value="volunteer">
                                <div class="flex flex-wrap m-1">
                                    <div class="relative w-full p-2">
                                        <div class="count absolute right-0 top-0 mt-4 mr-4 rounded-full px-2" :class="[palette().darker.bg, palette().lighter.text]"><udho:text value="volunteer.count" /></div>
                                        <div class="h-full flex items-center border p-4 rounded-lg" :class="[palette().lightest.bg, palette().darkest.text]">
                                            <!--
                                            <div class="relative dp mr-4">
                                                <img udho:target:src="/uploads/dp/`volunteer.photo`" class="photo w-full h-full object-cover object-center rounded-lg shadow-lg" />
                                            </div>
                                            -->
                                            <div class="w-full flex-grow">
                                                <h2 class="title-font font-medium"><a udho:target:href="/user/profile/`volunteer.id`"><udho:text value="volunteer.name" /></a></h2>
                                                <p class=""><udho:text value="volunteer.affiliation" /></p>
                                                <p class="" udho:if="volunteer.different"><udho:text value="volunteer.affiliation2" /></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </udho:for>
                        </div>
                    </div>
                </div>
            </div>
            <div v-show="!notice" class="flex-grow relative container max-w-full justify-center" v-cloak="true">
                <wee-spatial-canvas-view udho:target:project="project" udho:target:type="typed ? type" udho:target::editable="editable" ref="map" v-on:selected="selected" v-on:captured="captured" v-on:edit="view" :theme="theme"></wee-spatial-canvas-view>
                <div v-show="browsing && !capturing && !viewing && !commenting && !exploring" class="absolute z-20 h-full right-0 top-0 w-full md:w-auto">
                    <wee-spatial-report-browser udho:target:project="project" udho:target:type="typed ? type" udho:target::editable="editable" ref="browser" v-on:go="go" v-on:search="search" v-on:capture="capture" v-on:close="closeBrowser()" v-on:explore="explore" v-on:placed="pull()" v-on:replaced="update" v-on:deplaced="deplaced" :theme="theme" :universe="tags.universe" :common="tags.common"></wee-spatial-report-browser>
                </div>
                <div v-show="!browsing && !capturing && viewing && !commenting && !exploring" class="absolute z-20 h-full min-h-full lg:h-auto lg:min-h-0 right-0 top-0 w-full md:w-auto">
                    <wee-spatial-report-viewer udho:target::editable="editable" ref="viewer" v-on:go="go" v-on:search="search" v-on:capture="capture" v-on:close="closeViewer()" v-on:explore="explore" v-on:placed="pull()" v-on:replaced="update" v-on:deplaced="deplaced" :theme="theme" :universe="tags.universe" :common="tags.common"></wee-spatial-report-viewer>
                </div>
                <div v-show="!browsing && !capturing && !viewing && commenting" class="absolute z-20 h-full min-h-full right-0 top-0 w-full md:w-auto" v-cloak="true">
                    <div class="action absolute top-0 right-0 mt-1 mr-1">
                        <button class="bg-transparent font-bold px-1 rounded float-right" v-on:click="closeComments()">
                            <img src="/components/pix/zond/close-solid.svg" class="w-6 h-6 fill-current" />
                        </button>
                    </div>
                    <div class="flex flex-col h-full justify-start w-full md:w-132 lg:w-144 bg-white p-4">
                        <div ref="disqus"></div>
                    </div>
                </div>
                <div v-show="!browsing && !capturing && !viewing && !commenting" class="action absolute flex flex-col z-20 right-0 bottom-0" :class="[palette().darker.text, palette().darkest.hover]">
                    <button class="bg-white border shadow rounded-full font-bold p-3 text-sm rounded inline-flex items-center mr-4 mb-2 opacity-75" v-on:click="comments()">
                        <img svg-inline="true" class="fill-current inline-block w-6 h-6 m-auto text-teal-400 hover:text-teal-600" src="/components/pix/zond/conversation.svg" />
                    </button>
                    <button class="bg-white border shadow rounded-full font-bold p-3 text-sm rounded inline-flex items-center mr-4 mb-6 opacity-75" v-on:click="browse()">
                        <img svg-inline="true" class="fill-current inline-block w-6 h-6 m-auto text-teal-400 hover:text-teal-600" src="/components/pix/zond/news-paper.svg" />
                    </button>
                </div>
            </div>
        </div>
        <script src="/dist/spatial.js"></script>
        <script async="true" type="text/javascript" src="https://osvaldas.info/examples/lazy-loading-disqus-comments/disqusloader.js"></script>
        <script async="true" id="dsq-count-scr" src="//http-voxpeople-org.disqus.com/count.js"></script>
    </body>
</html>
